PX_WRITE_PRIMARY_INDEX(3)

NAME
PX_write_primary_index — Write primary index into a file

SYNOPSIS

#include <paradox.h>

int PX_write_primary_index(pxdoc_t *pxdoc, pxdoc_t *pindexdoc)

DESCRIPTION

Writes the primary index for the database passed in pxdoc. The primary index file must be created before as any Paradox file with PX_create_fp(3) or PX_create_file(3).

RETURN VALUE

Returns 0 on success and -1 on failure.

BUGS

This function will only create primary index files with not more than two levels. In general this will be sufficient to handle many thousand records.

SEE ALSO

PX_create_fp(3), PX_create_file(3), PX_read_primary_file(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.